DEVELOPMENT DOCUMENTATION
igloo
Get API Key
Docs / igloohome / API Reference / Server Health

Server Health API Reference

Enterprise API endpoints for managing server health.

Server Health

GET /server-health

Responses

200 Success

Request Example

curl https://api.igloodeveloper.co/server-health \
  -H "Authorization: Bearer $API_KEY"
import { Igloo } from "@igloo/sdk";

const igloo = new Igloo(process.env.IGLOO_API_KEY);
const response = await igloo.server health.serverHealth();
from igloo import Igloo
import os

igloo = Igloo(os.environ["IGLOO_API_KEY"])
response = igloo.server health.server_health()
package main

import (
	"context"
	"os"
	"go.igloohome.co/orion/sdk"
)

func main() {
	client := sdk.NewClient(sdk.ClientOptions{
		APIKey: os.Getenv("IGLOO_API_KEY"),
	})
	err := client.ServerHealth(context.Background())
}
<?php

$client = new \Igloo\Client(getenv("IGLOO_API_KEY"));
$response = $client->serverHealth();
import co.igloo.sdk.Client

val client = Client(apiKey = System.getenv("IGLOO_API_KEY"))
val response = client.serverHealth()
import Foundation

let client = IglooClient(apiKey: ProcessInfo.processInfo.environment["IGLOO_API_KEY"] ?? "")
client.serverHealth { result in
    // handle result
}